# Idris

[![Build Status](https://travis-ci.org/idris-lang/Idris-dev.svg?branch=master)](https://travis-ci.org/idris-lang/Idris-dev)
[![Appveyor build](https://ci.appveyor.com/api/projects/status/xi8yu81oy1134g7o/branch/master?svg=true)](https://ci.appveyor.com/project/idrislang/idris-dev)
[![Documentation Status](https://readthedocs.org/projects/idris/badge/?version=latest)](https://readthedocs.org/projects/idris/?badge=latest)
[![Hackage](https://img.shields.io/hackage/v/idris.svg)](https://hackage.haskell.org/package/idris)
[![Stackage LTS](http://stackage.org/package/idris/badge/lts)](http://stackage.org/lts/package/idris)
[![Stackage Nightly](http://stackage.org/package/idris/badge/nightly)](http://stackage.org/nightly/package/idris)
[![IRC](https://img.shields.io/badge/IRC-%23idris-1e72ff.svg?style=flat)](https://www.irccloud.com/invite?channel=%23idris&hostname=irc.freenode.net&port=6697&ssl=1)

Idris (http://idris-lang.org/) is a general-purpose functional programming
language with dependent types.

## Installation Guides.

This repository represents the latest development version of the
language, and may contain bugs that are being actively worked on.  For
those who wish to use a more stable version of Idris please consider
installing the latest version that has been released on Hackage.
Installation instructions for various platforms can be
[found on the Idris Wiki](https://github.com/idris-lang/Idris-dev/wiki/Installation-Instructions).

More information about building Idris from source has been detailed in the [Installation Guide](INSTALL.md)

## Code Generation

Idris has support for external code generators. Supplied with the distribution
is a C code generator to compile executables, and a JavaScript code generator
with support for node.js and browser JavaScript.

More information about [code generators can be found on the wiki](http://idris.readthedocs.io/en/latest/reference/codegen.html).

## More Information

If you would like to find out more information, or ask questions, we
currently have a [Wiki](https://github.com/idris-lang/Idris-dev/wiki);
a [mailing list](https://groups.google.com/forum/#!forum/idris-lang),
and an `IRC` channel `#idris` on freenode. To join the IRC channel,
point your irc client to `chat.freenode.net` then `/join #idris`.

For those further interested in using Idris for projects, the
[Idris Hackers](https://github.com/idris-hackers) GitHub organisation is
where some interesting projects are being hosted.

For those interested in contributing to Idris directly we kindly ask that
prospective developers please consult the [Contributing Guide](CONTRIBUTING.md) first.
